<?php
class Favoritos extends Controller
{
	protected $ext_folder = 'ext_favoritos';
	protected $ext_home_vista = 'home';
	protected $ext_categoria_vista = 'categoria_favoritos';
	protected $ext_item_vista = 'lista_dinamica';
	protected $ext_form_item_vista = 'nueva_lista_dinamica';
	
	protected $ext_item_modelo = 'ListaDinamicaModel';
	protected $ext_categoria_modelo = 'FavoritoCategoriaModel';
	protected $ext_home_modelo = 'HomeFavoritosModel';
	
	protected $ext_categoria_clase = 'FavoritoCategoria';
	protected $ext_item_clase = 'ListaDinamica';
	
	var $lista_dinamica;
	
	function __construct(){
		parent::__construct();
	}
	
	public function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_favoritos/class/listaDinamica','ext_favoritos/class/favoritoCategoria');
		e_include('ext_favoritos/models/listaDinamica','ext_favoritos/models/categoria','ext_favoritos/models/home');
		if (!class_exists('ListaDinamica') || !class_exists('FavoritoCategoria')) {
			App::setMsg(__("Error 500: No se ha encontrado la clase de la extensión."), 'error');
			return false;
		}
	}
		
	public function get_num_listas_dinamicas($filtro=''){
		
		$num_eve = new ListaDinamica();
		
		$num_eve = $num_eve->ListarCount($filtro);
		
		return $num_eve;
	}
	
	public function add_assets(){
		global $AssetBundles;
		
		if ($AssetBundles instanceof AssetsHelper){
			$favoritos_bundle = new AssetBundle(array('id'=>'favoritos', 'nombre'=>'Favoritos'));

			$favoritos_bundle->register_js('mideas-favoritos', CONF_URL_APP.'extensions/ext_favoritos/assets/js/mideas.favoritos.js');
			
			$AssetBundles->register_bundle($favoritos_bundle);
			$AssetBundles->require_bundle('favoritos');
		}
	}
}